
***To obtain data on proportion of respondents willing to boycott Russian goods

tab boyrus_cat


***Table 1
 
sum  young educated welloff protect_imports sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus  

 
***Figure 2

histogram econ_left_right, discrete xtitle("Support for free market") ytitle("Density") graphregion(fcolor(white)) title("") note("") ylabel(0(0.05)0.4, nogrid) xlabel(1(1)7, labsize(small) valuelabel) scheme(s2mono) 
histogram equality, discrete xtitle("Support for egalitarianism") ytitle("Density") graphregion(fcolor(white)) title("") note("") ylabel(0(0.05)0.4, nogrid) xlabel(1(1)7, labsize(small) valuelabel) scheme(s2mono)
histogram authority, discrete xtitle("Support for social authoritarianism") ytitle("Density") graphregion(fcolor(white)) title("") note("") ylabel(0(0.05)0.4, nogrid) xlabel(1(1)7, labsize(small) valuelabel) scheme(s2mono)
 
 ***Table 2
 
 eststo clear
 eststo: mixed boyrus authority equality econ_left_right young educated welloff || cn_province:
 eststo: mixed boyrus authority equality econ_left_right young educated welloff protect_imports sat_econ_country || cn_province:
 eststo: mixed boyrus authority equality econ_left_right young educated welloff protect_imports  sat_econ_country CCP oneparty nationalism_better  || cn_province:
  eststo: mixed boyrus authority  equality econ_left_right young educated welloff protect_imports sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus  || cn_province:
 eststo: mixed boyrus authority  equality c.authority##c.econ_left_right young educated welloff protect_imports econ_left_right sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus  || cn_province:
  eststo: mixed boyrus authority  equality c.authority##c.equality c.authority##c.econ_left_right c.equality##c.econ_left_right c.authority##c.econ_left_right##c.equality young educated welloff protect_imports econ_left_right sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus  || cn_province:
 . estout *, cells(b(star fmt(3)) t(par fmt(2))) stats(aic bic N) eqlab("" "Level 2 Random Intercept" "Level 1 error", none) style(fixed)
 
***Figure 3
 
mixed boyrus authority equality c.equality##c.authority young educated welloff protect_imports econ_left_right sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus  || cn_province:
margins, at(equality=(1(1)7) authority=(1(6)7))
marginsplot, graphregion(color(white)) xtitle("Egalitarian attitudes") ytitle("Predicted values of dependent variable") title("") note("") ylabel(1(1)6, nogrid) xlabel(1(1)7, nogrid) legend(pos(7) ring(1) col(1) order(1 "Least authoritarian" 2 "Most authoritarian" )) 
 
 
*** Figure 4

mixed boyrus c.equality##c.authority##c.econ_left_right young educated welloff protect_imports sat_econ_country CCP oneparty nationalism_better travelrus for_pol_rus || cn_province:

sum authority
sum equality

* determined high and low values for w *
global Hauthority=r(mean)+r(sd)
global Lauthority=r(mean)-r(sd)

sum econ_left_right

* determine high and low values for z *
global Hecon_left_right=r(mean)+r(sd)
global Lecon_left_right=r(mean)-r(sd)

margins, dydx(equality) at(authority=($Hauthority $Lauthority) econ_left_right=($Hecon_left_right $Lecon_left_right)) vsquish
margins, at(equality=(1 7) authority=($Hauthority $Lauthority) econ_left_right=($Hecon_left_right $Lecon_left_right)) vsquish

marginsplot, recast(line) noci scheme(s1mono) legend(cols(1) region(lwidth(none))) legend(order(1 "Low authoritarianism, planned economy, " 2 "Low authoritarianism, free-market economy, " 3 "High authoritarianism, planned economy" 4 "High authoritarianism, free-market economy")) xtitle("Egalitarianism") ytitle("Willingess to boycott Russian goods") title("") note("") xlabel(1 "Low" 7 "High", labsize(small))


